aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorEddie Hung <eddieh@ece.ubc.ca>2019-02-06 14:15:17 -0800
committerEddie Hung <eddieh@ece.ubc.ca>2019-02-06 14:15:17 -0800
commit115883f467cb79688ffb93c136a6ee61368765e8 (patch)
tree6eb4f74d20fc912b61f0de50459fecc5b65cdd4c /tests
parent281f2aadcab01465f83a3f3a697eec42503e9f8b (diff)
downloadyosys-115883f467cb79688ffb93c136a6ee61368765e8.tar.gz
yosys-115883f467cb79688ffb93c136a6ee61368765e8.tar.bz2
yosys-115883f467cb79688ffb93c136a6ee61368765e8.zip
Add tests for simple cases using defparam
Diffstat (limited to 'tests')
-rwxr-xr-xtests/simple_defparam/run-test.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/simple_defparam/run-test.sh b/tests/simple_defparam/run-test.sh
new file mode 100755
index 000000000..137e15076
--- /dev/null
+++ b/tests/simple_defparam/run-test.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+OPTIND=1
+seed="" # default to no seed specified
+while getopts "S:" opt
+do
+ case "$opt" in
+ S) arg="${OPTARG#"${OPTARG%%[![:space:]]*}"}" # remove leading space
+ seed="SEED=$arg" ;;
+ esac
+done
+shift "$((OPTIND-1))"
+
+# check for Icarus Verilog
+if ! which iverilog > /dev/null ; then
+ echo "$0: Error: Icarus Verilog 'iverilog' not found."
+ exit 1
+fi
+
+cp ../simple/*.v .
+exec ${MAKE:-make} -f ../tools/autotest.mk $seed *.v EXTRA_FLAGS="-B \"-defparam\""